Get DAMM v2 direct launches
curl --request GET \
--url https://public-api-v2.bags.fm/api/v1/token-launch/damm-v2/launches \
--header 'x-api-key: <api-key>'import requests
url = "https://public-api-v2.bags.fm/api/v1/token-launch/damm-v2/launches"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://public-api-v2.bags.fm/api/v1/token-launch/damm-v2/launches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"response": {
"launches": [
{
"name": "<string>",
"symbol": "<string>",
"description": "<string>",
"image": "<string>",
"tokenMint": "<string>",
"status": "PRE_LAUNCH",
"bagsConfigType": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"telegram": "<string>",
"twitter": "<string>",
"website": "<string>",
"launchWallet": "<string>",
"launchSignature": "<string>",
"uri": "<string>"
}
],
"hasMore": true,
"nextCursor": "<string>"
}
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}Token Launch
Get DAMM v2 Direct Launches
Newest-first, paginated list of confirmed DAMM v2 direct launches, optionally filtered by quote mint. Only launches whose pool has been confirmed on-chain are returned.
GET
/
token-launch
/
damm-v2
/
launches
Get DAMM v2 direct launches
Authorizations
API key authentication. Provide your API key as the header value.
Query Parameters
Page size
Required range:
1 <= x <= 100Base58 quote mint to filter launches by
24-character _id cursor from a previous response's nextCursor. Omit for the first page.
⌘I
